xine-lib: vdpau_driver_t Struct Reference

xine-lib 1.2.12

Data Fields
vdpau_driver_t Struct Reference

## Data Fields
vo_driver_t | vo_driver
VdpDevice | vdp_device
VdpPresentationQueue | vdp_queue
VdpPresentationQueueTarget | vdp_queue_target
VdpGetProcAddress * | vdp_get_proc_address
union {
void * funcs [46]
struct {
VdpGetErrorString * vdp_get_error_string
VdpGetApiVersion * vdp_get_api_version
VdpGetInformationString * vdp_get_information_string
VdpVideoSurfaceQueryCapabilities * vdp_video_surface_query_capabilities
VdpVideoSurfaceQueryGetPutBitsYCbCrCapabilities * vdp_video_surface_query_get_put_bits_ycbcr_capabilities
VdpOutputSurfaceQueryCapabilities * vdp_output_surface_query_capabilities
VdpOutputSurfaceQueryGetPutBitsNativeCapabilities * vdp_output_surface_query_get_put_bits_native_capabilities
VdpOutputSurfaceQueryPutBitsYCbCrCapabilities * vdp_output_surface_query_put_bits_ycbcr_capabilities
VdpDeviceDestroy * vdp_device_destroy
VdpVideoSurfaceCreate * vdp_video_surface_create
VdpVideoSurfaceDestroy * vdp_video_surface_destroy
VdpVideoSurfacePutBitsYCbCr * vdp_video_surface_putbits_ycbcr
VdpVideoSurfaceGetBitsYCbCr * vdp_video_surface_getbits_ycbcr
VdpVideoSurfaceGetParameters * vdp_video_surface_get_parameters
VdpOutputSurfaceCreate * vdp_output_surface_create
VdpOutputSurfaceDestroy * vdp_output_surface_destroy
VdpOutputSurfaceRenderOutputSurface * vdp_output_surface_render_output_surface
VdpOutputSurfacePutBitsNative * vdp_output_surface_put_bits
VdpOutputSurfacePutBitsYCbCr * vdp_output_surface_put_bits_ycbcr
VdpOutputSurfaceGetBitsNative * vdp_output_surface_get_bits
VdpVideoMixerCreate * vdp_video_mixer_create
VdpVideoMixerDestroy * vdp_video_mixer_destroy
VdpVideoMixerRender * vdp_video_mixer_render
VdpVideoMixerSetAttributeValues * vdp_video_mixer_set_attribute_values
VdpVideoMixerSetFeatureEnables * vdp_video_mixer_set_feature_enables
VdpVideoMixerGetFeatureEnables * vdp_video_mixer_get_feature_enables
VdpVideoMixerQueryFeatureSupport * vdp_video_mixer_query_feature_support
VdpVideoMixerQueryParameterSupport * vdp_video_mixer_query_parameter_support
VdpVideoMixerQueryAttributeSupport * vdp_video_mixer_query_attribute_support
VdpVideoMixerQueryParameterValueRange * vdp_video_mixer_query_parameter_value_range
VdpVideoMixerQueryAttributeValueRange * vdp_video_mixer_query_attribute_value_range
VdpGenerateCSCMatrix * vdp_generate_csc_matrix
VdpPresentationQueueTargetCreateX11 * vdp_queue_target_create_x11
VdpPresentationQueueTargetDestroy * vdp_queue_target_destroy
VdpPresentationQueueCreate * vdp_queue_create
VdpPresentationQueueDestroy * vdp_queue_destroy
VdpPresentationQueueDisplay * vdp_queue_display
VdpPresentationQueueBlockUntilSurfaceIdle * vdp_queue_block
VdpPresentationQueueSetBackgroundColor * vdp_queue_set_background_color
VdpPresentationQueueGetTime * vdp_queue_get_time
VdpPresentationQueueQuerySurfaceStatus * vdp_queue_query_surface_status
VdpDecoderQueryCapabilities * vdp_decoder_query_capabilities
VdpDecoderCreate * vdp_decoder_create
VdpDecoderDestroy * vdp_decoder_destroy
VdpDecoderRender * vdp_decoder_render
VdpPreemptionCallbackRegister * vdp_preemption_callback_register
} b
} | a
vo_scale_t | sc
Display * | display
int | screen
Drawable | drawable
pthread_mutex_t | drawable_lock
uint32_t | display_width
uint32_t | display_height
int | ovl_changed
int | num_ovls
int | old_num_ovls
vdpau_overlay_t | overlays [XINE_VORAW_MAX_OVL]
uint32_t * | ovl_pixmap
int | ovl_pixmap_size
VdpOutputSurface | ovl_layer_surface
VdpRect | ovl_src_rect
VdpRect | ovl_dest_rect
VdpRect | ovl_video_dest_rect
vdpau_output_surface_t | ovl_main_render_surface
VdpVideoSurface | soft_surface
uint32_t | soft_surface_width
uint32_t | soft_surface_height
int | soft_surface_format
vdpau_output_surface_t | output_surface_buffer [25]
int | output_surface_buffer_size
int | num_big_output_surfaces_created
VdpOutputSurface | output_surface [8]
uint8_t | init_queue
uint8_t | queue_user_length
uint8_t | queue_length
uint8_t | current_output_surface
uint32_t | output_surface_width [8]
uint32_t | output_surface_height [8]
vdpau_grab_video_frame_t * | pending_grab_request
pthread_mutex_t | grab_lock
pthread_cond_t | grab_cond
VdpVideoMixer | video_mixer
VdpChromaType | video_mixer_chroma
uint32_t | video_mixer_width
uint32_t | video_mixer_height
int | video_mixer_num_layers
VdpBool | temporal_spatial_is_supported
VdpBool | temporal_is_supported
VdpBool | noise_reduction_is_supported
VdpBool | sharpness_is_supported
VdpBool | inverse_telecine_is_supported
VdpBool | skip_chroma_is_supported
VdpBool | background_is_supported
const char * | deinterlacers_name [5+1]
int | deinterlacers_method [5]
int | scaling_level_max
int | scaling_level_current
VdpColor | back_color
vdpau_frame_t * | back_frame [1]
uint32_t | capabilities
xine_t * | xine
int | hue
int | saturation
int | brightness
int | contrast
int | update_s_n
int | sharpness
int | noise
int | deinterlace
int | deinterlace_method_hd
int | deinterlace_method_sd
int | enable_inverse_telecine
int | honor_progressive
int | skip_chroma
int | sd_only_properties
int | background
int | vdp_runtime_nr
int | reinit_needed
int | surface_cleared_nr
int | allocated_surfaces
int | zoom_x
int | zoom_y
int | color_matrix
int | update_csc
int | cm_state
uint8_t | cm_lut [32]

## Field Documentation

## ◆

union { ... } vdpau_driver_t::a

## ◆ allocated_surfaces

int vdpau_driver_t::allocated_surfaces

## ◆

struct { ... } vdpau_driver_t::b

## ◆ back_color

VdpColor vdpau_driver_t::back_color

## ◆ back_frame

vdpau_frame_t* vdpau_driver_t::back_frame[ 1]

## ◆ background

int vdpau_driver_t::background

## ◆ background_is_supported

VdpBool vdpau_driver_t::background_is_supported

## ◆ brightness

int vdpau_driver_t::brightness

## ◆ capabilities

uint32_t vdpau_driver_t::capabilities

## ◆ cm_lut

uint8_t vdpau_driver_t::cm_lut[32]

## ◆ cm_state

int vdpau_driver_t::cm_state

## ◆ color_matrix

int vdpau_driver_t::color_matrix

## ◆ contrast

int vdpau_driver_t::contrast

## ◆ current_output_surface

uint8_t vdpau_driver_t::current_output_surface

## ◆ deinterlace

int vdpau_driver_t::deinterlace

## ◆ deinterlace_method_hd

int vdpau_driver_t::deinterlace_method_hd

## ◆ deinterlace_method_sd

int vdpau_driver_t::deinterlace_method_sd

## ◆ deinterlacers_method

int vdpau_driver_t::deinterlacers_method[5]

## ◆ deinterlacers_name

const char* vdpau_driver_t::deinterlacers_name[5+1]

## ◆ display

Display* vdpau_driver_t::display

## ◆ display_height

uint32_t vdpau_driver_t::display_height

## ◆ display_width

uint32_t vdpau_driver_t::display_width

## ◆ drawable

Drawable vdpau_driver_t::drawable

## ◆ drawable_lock

pthread_mutex_t vdpau_driver_t::drawable_lock

## ◆ enable_inverse_telecine

int vdpau_driver_t::enable_inverse_telecine

## ◆ funcs

void* vdpau_driver_t::funcs[46]

## ◆ grab_cond

pthread_cond_t vdpau_driver_t::grab_cond

## ◆ grab_lock

pthread_mutex_t vdpau_driver_t::grab_lock

## ◆ honor_progressive

int vdpau_driver_t::honor_progressive

## ◆ hue

int vdpau_driver_t::hue

## ◆ init_queue

uint8_t vdpau_driver_t::init_queue

## ◆ inverse_telecine_is_supported

VdpBool vdpau_driver_t::inverse_telecine_is_supported

## ◆ noise

int vdpau_driver_t::noise

## ◆ noise_reduction_is_supported

VdpBool vdpau_driver_t::noise_reduction_is_supported

## ◆ num_big_output_surfaces_created

int vdpau_driver_t::num_big_output_surfaces_created

## ◆ num_ovls

int vdpau_driver_t::num_ovls

## ◆ old_num_ovls

int vdpau_driver_t::old_num_ovls

## ◆ output_surface

VdpOutputSurface vdpau_driver_t::output_surface[8]

## ◆ output_surface_buffer

vdpau_output_surface_t vdpau_driver_t::output_surface_buffer[25]

## ◆ output_surface_buffer_size

int vdpau_driver_t::output_surface_buffer_size

## ◆ output_surface_height

uint32_t vdpau_driver_t::output_surface_height[8]

## ◆ output_surface_width

uint32_t vdpau_driver_t::output_surface_width[8]

## ◆ overlays

vdpau_overlay_t vdpau_driver_t::overlays[XINE_VORAW_MAX_OVL]

## ◆ ovl_changed

int vdpau_driver_t::ovl_changed

## ◆ ovl_dest_rect

VdpRect vdpau_driver_t::ovl_dest_rect

## ◆ ovl_layer_surface

VdpOutputSurface vdpau_driver_t::ovl_layer_surface

## ◆ ovl_main_render_surface

vdpau_output_surface_t vdpau_driver_t::ovl_main_render_surface

## ◆ ovl_pixmap

uint32_t* vdpau_driver_t::ovl_pixmap

## ◆ ovl_pixmap_size

int vdpau_driver_t::ovl_pixmap_size

## ◆ ovl_src_rect

VdpRect vdpau_driver_t::ovl_src_rect

## ◆ ovl_video_dest_rect

VdpRect vdpau_driver_t::ovl_video_dest_rect

## ◆ pending_grab_request

vdpau_grab_video_frame_t* vdpau_driver_t::pending_grab_request

## ◆ queue_length

uint8_t vdpau_driver_t::queue_length

## ◆ queue_user_length

uint8_t vdpau_driver_t::queue_user_length

## ◆ reinit_needed

int vdpau_driver_t::reinit_needed

## ◆ saturation

int vdpau_driver_t::saturation

## ◆ sc

vo_scale_t vdpau_driver_t::sc

## ◆ scaling_level_current

int vdpau_driver_t::scaling_level_current

## ◆ scaling_level_max

int vdpau_driver_t::scaling_level_max

## ◆ screen

int vdpau_driver_t::screen

## ◆ sd_only_properties

int vdpau_driver_t::sd_only_properties

## ◆ sharpness

int vdpau_driver_t::sharpness

## ◆ sharpness_is_supported

VdpBool vdpau_driver_t::sharpness_is_supported

## ◆ skip_chroma

int vdpau_driver_t::skip_chroma

## ◆ skip_chroma_is_supported

VdpBool vdpau_driver_t::skip_chroma_is_supported

## ◆ soft_surface

VdpVideoSurface vdpau_driver_t::soft_surface

## ◆ soft_surface_format

int vdpau_driver_t::soft_surface_format

## ◆ soft_surface_height

uint32_t vdpau_driver_t::soft_surface_height

## ◆ soft_surface_width

uint32_t vdpau_driver_t::soft_surface_width

## ◆ surface_cleared_nr

int vdpau_driver_t::surface_cleared_nr

## ◆ temporal_is_supported

VdpBool vdpau_driver_t::temporal_is_supported

## ◆ temporal_spatial_is_supported

VdpBool vdpau_driver_t::temporal_spatial_is_supported

## ◆ update_csc

int vdpau_driver_t::update_csc

## ◆ update_s_n

int vdpau_driver_t::update_s_n

## ◆ vdp_decoder_create

VdpDecoderCreate* vdpau_driver_t::vdp_decoder_create

## ◆ vdp_decoder_destroy

VdpDecoderDestroy* vdpau_driver_t::vdp_decoder_destroy

## ◆ vdp_decoder_query_capabilities

VdpDecoderQueryCapabilities* vdpau_driver_t::vdp_decoder_query_capabilities

## ◆ vdp_decoder_render

VdpDecoderRender* vdpau_driver_t::vdp_decoder_render

## ◆ vdp_device

VdpDevice vdpau_driver_t::vdp_device

## ◆ vdp_device_destroy

VdpDeviceDestroy* vdpau_driver_t::vdp_device_destroy

## ◆ vdp_generate_csc_matrix

VdpGenerateCSCMatrix* vdpau_driver_t::vdp_generate_csc_matrix

## ◆ vdp_get_api_version

VdpGetApiVersion* vdpau_driver_t::vdp_get_api_version

## ◆ vdp_get_error_string

VdpGetErrorString* vdpau_driver_t::vdp_get_error_string

## ◆ vdp_get_information_string

VdpGetInformationString* vdpau_driver_t::vdp_get_information_string

## ◆ vdp_get_proc_address

VdpGetProcAddress* vdpau_driver_t::vdp_get_proc_address

## ◆ vdp_output_surface_create

VdpOutputSurfaceCreate* vdpau_driver_t::vdp_output_surface_create

## ◆ vdp_output_surface_destroy

VdpOutputSurfaceDestroy* vdpau_driver_t::vdp_output_surface_destroy

## ◆ vdp_output_surface_get_bits

VdpOutputSurfaceGetBitsNative* vdpau_driver_t::vdp_output_surface_get_bits

## ◆ vdp_output_surface_put_bits

VdpOutputSurfacePutBitsNative* vdpau_driver_t::vdp_output_surface_put_bits

## ◆ vdp_output_surface_put_bits_ycbcr

VdpOutputSurfacePutBitsYCbCr* vdpau_driver_t::vdp_output_surface_put_bits_ycbcr

## ◆ vdp_output_surface_query_capabilities

VdpOutputSurfaceQueryCapabilities* vdpau_driver_t::vdp_output_surface_query_capabilities

## ◆ vdp_output_surface_query_get_put_bits_native_capabilities

VdpOutputSurfaceQueryGetPutBitsNativeCapabilities* vdpau_driver_t::vdp_output_surface_query_get_put_bits_native_capabilities

## ◆ vdp_output_surface_query_put_bits_ycbcr_capabilities

VdpOutputSurfaceQueryPutBitsYCbCrCapabilities* vdpau_driver_t::vdp_output_surface_query_put_bits_ycbcr_capabilities

## ◆ vdp_output_surface_render_output_surface

VdpOutputSurfaceRenderOutputSurface* vdpau_driver_t::vdp_output_surface_render_output_surface

## ◆ vdp_preemption_callback_register

VdpPreemptionCallbackRegister* vdpau_driver_t::vdp_preemption_callback_register

## ◆ vdp_queue

VdpPresentationQueue vdpau_driver_t::vdp_queue

## ◆ vdp_queue_block

VdpPresentationQueueBlockUntilSurfaceIdle* vdpau_driver_t::vdp_queue_block

## ◆ vdp_queue_create

VdpPresentationQueueCreate* vdpau_driver_t::vdp_queue_create

## ◆ vdp_queue_destroy

VdpPresentationQueueDestroy* vdpau_driver_t::vdp_queue_destroy

## ◆ vdp_queue_display

VdpPresentationQueueDisplay* vdpau_driver_t::vdp_queue_display

## ◆ vdp_queue_get_time

VdpPresentationQueueGetTime* vdpau_driver_t::vdp_queue_get_time

## ◆ vdp_queue_query_surface_status

VdpPresentationQueueQuerySurfaceStatus* vdpau_driver_t::vdp_queue_query_surface_status

## ◆ vdp_queue_set_background_color

VdpPresentationQueueSetBackgroundColor* vdpau_driver_t::vdp_queue_set_background_color

## ◆ vdp_queue_target

VdpPresentationQueueTarget vdpau_driver_t::vdp_queue_target

## ◆ vdp_queue_target_create_x11

VdpPresentationQueueTargetCreateX11* vdpau_driver_t::vdp_queue_target_create_x11

## ◆ vdp_queue_target_destroy

VdpPresentationQueueTargetDestroy* vdpau_driver_t::vdp_queue_target_destroy

## ◆ vdp_runtime_nr

int vdpau_driver_t::vdp_runtime_nr

## ◆ vdp_video_mixer_create

VdpVideoMixerCreate* vdpau_driver_t::vdp_video_mixer_create

## ◆ vdp_video_mixer_destroy

VdpVideoMixerDestroy* vdpau_driver_t::vdp_video_mixer_destroy

## ◆ vdp_video_mixer_get_feature_enables

VdpVideoMixerGetFeatureEnables* vdpau_driver_t::vdp_video_mixer_get_feature_enables

## ◆ vdp_video_mixer_query_attribute_support

VdpVideoMixerQueryAttributeSupport* vdpau_driver_t::vdp_video_mixer_query_attribute_support

## ◆ vdp_video_mixer_query_attribute_value_range

VdpVideoMixerQueryAttributeValueRange* vdpau_driver_t::vdp_video_mixer_query_attribute_value_range

## ◆ vdp_video_mixer_query_feature_support

VdpVideoMixerQueryFeatureSupport* vdpau_driver_t::vdp_video_mixer_query_feature_support

## ◆ vdp_video_mixer_query_parameter_support

VdpVideoMixerQueryParameterSupport* vdpau_driver_t::vdp_video_mixer_query_parameter_support

## ◆ vdp_video_mixer_query_parameter_value_range

VdpVideoMixerQueryParameterValueRange* vdpau_driver_t::vdp_video_mixer_query_parameter_value_range

## ◆ vdp_video_mixer_render

VdpVideoMixerRender* vdpau_driver_t::vdp_video_mixer_render

## ◆ vdp_video_mixer_set_attribute_values

VdpVideoMixerSetAttributeValues* vdpau_driver_t::vdp_video_mixer_set_attribute_values

## ◆ vdp_video_mixer_set_feature_enables

VdpVideoMixerSetFeatureEnables* vdpau_driver_t::vdp_video_mixer_set_feature_enables

## ◆ vdp_video_surface_create

VdpVideoSurfaceCreate* vdpau_driver_t::vdp_video_surface_create

## ◆ vdp_video_surface_destroy

VdpVideoSurfaceDestroy* vdpau_driver_t::vdp_video_surface_destroy

## ◆ vdp_video_surface_get_parameters

VdpVideoSurfaceGetParameters* vdpau_driver_t::vdp_video_surface_get_parameters

## ◆ vdp_video_surface_getbits_ycbcr

VdpVideoSurfaceGetBitsYCbCr* vdpau_driver_t::vdp_video_surface_getbits_ycbcr

## ◆ vdp_video_surface_putbits_ycbcr

VdpVideoSurfacePutBitsYCbCr* vdpau_driver_t::vdp_video_surface_putbits_ycbcr

## ◆ vdp_video_surface_query_capabilities

VdpVideoSurfaceQueryCapabilities* vdpau_driver_t::vdp_video_surface_query_capabilities

## ◆ vdp_video_surface_query_get_put_bits_ycbcr_capabilities

VdpVideoSurfaceQueryGetPutBitsYCbCrCapabilities* vdpau_driver_t::vdp_video_surface_query_get_put_bits_ycbcr_capabilities

## ◆ video_mixer

VdpVideoMixer vdpau_driver_t::video_mixer

## ◆ video_mixer_chroma

VdpChromaType vdpau_driver_t::video_mixer_chroma

## ◆ video_mixer_height

uint32_t vdpau_driver_t::video_mixer_height

## ◆ video_mixer_num_layers

int vdpau_driver_t::video_mixer_num_layers

## ◆ video_mixer_width

uint32_t vdpau_driver_t::video_mixer_width

## ◆ vo_driver

vo_driver_t vdpau_driver_t::vo_driver

## ◆ xine

xine_t* vdpau_driver_t::xine

## ◆ zoom_x

int vdpau_driver_t::zoom_x

## ◆ zoom_y

int vdpau_driver_t::zoom_y

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_vdpau.c